Exiv2::FileIo::Impl Class Reference

Internal Pimpl structure of class FileIo. More...

## Classes

struct | StructStat
| Simple struct stat wrapper for internal use. More...

## Public Types

enum | OpMode { opRead , opWrite , opSeek }
| Mode of operation.

## Public Member Functions

| Impl (const std::string &path)
| Constructor.
int | switchMode (OpMode opMode)
| Switch to a new access mode, reopening the file if needed. Optimized to only reopen the file when it is really necessary. More...
int | stat (StructStat &buf) const
| stat wrapper for internal use
void | copyXattrFrom (const FileIo &src)
| copy extended attributes (xattr) from another file

## Public Attributes

std::string | path_
| (Standard) path
std::string | openMode_
| File open mode.
FILE * | fp_
| File stream pointer.
OpMode | opMode_
| File open mode.
byte * | pMappedArea_
| Pointer to the memory-mapped area.
size_t | mappedLength_
| Size of the memory-mapped area.
bool | isMalloced_
| Is the mapped area allocated?
bool | isWriteable_
| Can the mapped area be written to?

## Detailed Description

Internal Pimpl structure of class FileIo.

## Member Function Documentation

## switchMode()

int Exiv2::FileIo::Impl::switchMode | ( | OpMode | opMode | ) |

Switch to a new access mode, reopening the file if needed. Optimized to only reopen the file when it is really necessary.

Parameters

  opMode | The mode to switch to.

Returns
  0 if successful

The documentation for this class was generated from the following file:

- basicio.cpp